PARTX(8)

NOME
partx - avisa o kernel sobre a presença e quantidade de partições no disco.

SINOPSE

partx [-a|-d|-P|-r|-s|-u] [-t type] [-n M:_N_] [-] disk

partx [-a|-d|-P|-r|-s|-u] [-t type] partition [disk]

DESCRIÇÃO

Dado um dispositivo ou imagem de disco, partx tenta analisar a tabela de partição e listar seu conteúdo. Ele também pode dizer ao kernel para adicionar ou remover partições de sua contabilidade.

O argumento disco é opcional quando um argumento partição é fornecido. Para forçar a varredura de uma partição como se fosse um disco inteiro (por exemplo, para listar subpartições aninhadas), use o argumento "-" (hífen, menos). Por exemplo:

    partx --show - /dev/sda3

Isso verá o sda3 como um disco inteiro em vez de uma partição.

partx is not an fdisk program - adding and removing partitions does not change the disk, it just tells the kernel about the presence and numbering of on-disk partitions.

OPÇÕES

-a, --add
    Adiciona as partições especificadas ou lê o disco e todas as partições.

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-d, --delete
    Exclui as partições especificadas ou todas as partições. Não é um erro remover partições não existentes, então esta opção é possível usar junto com grandes intervalos --nr sem se preocupar com as partições atuais definidas no dispositivo.

-g, --noheadings
    Não exibe uma linha de cabeçalho com --show ou --raw.

-l, --list
    Lista as partições. Observe que todos os números estão em setores de 512 bytes. Este formato de saída foi DESCONTINUADO em favor de --show. Não o use em scripts recém-escritos.

-n, --nr M:N
    Especifica o intervalo de partições. Para compatibilidade com versões anteriores, também o formato M-N é suportado. O intervalo pode conter números negativos, por exemplo, --nr -1:-1 significa a última partição, e --nr -2:-1 significa as duas últimas partições. As especificações de alcance suportadas são:

    M
        Especifica uma partição apenas (ex.: --nr 3).

    M:
        Especifica de limite inferior apenas (ex.: --nr 2:).

    :N
        Especifica de limite superior apenas (ex.: --nr :4).

    M:N
        Especifica os limites inferiores e superiores (ex.: --nr 2:4).

-o, --output lista
    Define as colunas de saída a serem usadas para a saída --show, --pairs e --raw. Se nenhuma disposição de saída for especificada, um conjunto padrão será usado. Use --help para obter lista de todas as colunas suportadas. Esta opção não pode ser combinada com as opções --add, --delete, --update ou --list.

--output-all
    Mostra todas as colunas disponíveis.

-P, --pairs
    Lista as partições usando o formato CHAVE="valor".

-r, --raw
    Lista o formato de partições usando o formato de saída não tratada.

-s, --show
    Lista as partições. As colunas de saída podem ser selecionadas e reorganizadas com a opção --output. Todos os números (exceto SIZE) estão em setores de 512 bytes.

-t, --type tipo
    Especifica o tipo de tabela de partição.

--list-types
    Lista os tipos de partição conhecidos e sai.

-u, --update
    Atualiza as partições especificadas.

-S, --sector-size tamanho
    Sobrescreve o tamanho do setor.

-v, --verbose
    Modo detalhado.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Display version and exit.

AMBIENTE

LIBBLKID_DEBUG=all
    habilita saída de depuração do libblkid.

EXEMPLO

partx --show /dev/sdb3, partx --show --nr 3 /dev/sdb, partx --show /dev/sdb3 /dev/sdb
    All three commands list partition 3 of /dev/sdb.

partx --show - /dev/sdb3
    Lista todas as subpartições em /dev/sdb3 (o dispositivo é usado como um disco inteiro).

partx -o START -g --nr 5 /dev/sdb
    Exibe o setor inicial da partição 5 em /dev/sdb sem cabeçalho.

partx -o SECTORS,SIZE /dev/sda5 /dev/sda
    Lista o comprimento em setores e o tamanho legível por humanos da partição 5 em /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Adiciona todas as partições disponíveis de 3 a 5 (inclusive) em /dev/sdd.

partx -d --nr -1: /dev/sdd
    Remove a última partição em /dev/sdd.

AUTORES

A versão original foi escrita por

VEJA TAMBÉM

addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

RELATANDO PROBLEMAS

For bug reports, use the

DISPONIBILIDADE

O comando partx é parte do pacote util-linux que pode ser baixado do